const mongoose = require("mongoose");

const TradingSchema = new mongoose.Schema(
  {
    userId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      required: true,
    },
    tokenName: {
      type: String,
    },
    tokenAddress: {
      type: String,
    },

    tokenBuy: { type: String },
    tokenSell: { type: String },
    tokenMode: { type: Boolean },
    tokenprice: { type: String },
    tokenholder: { type: String },
  },
  {
    timestamps: true,
  }
);
const TradingToken = mongoose.model("TradingToken", TradingSchema);

module.exports = TradingToken;
